%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-swift
Version:        12.4.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Swift
License:        ASL 2.0

URL:            https://launchpad.net/puppet-swift

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Set-log_facility-log_level-in-obj-expirer.patch
Patch0002: 0002-Configure-www_authenticate_uri-instead-of-auth_uri-i.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-rsync
Requires:       puppet-stdlib
Requires:       puppet-xinetd
Requires:       puppet-concat
Requires:       puppet-memcached
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Swift

%prep
%setup -q -n openstack-swift-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/swift/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/swift/



%files
%{_datadir}/openstack-puppet/modules/swift/


%changelog
* Wed Jul 25 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Configure www_authenticate_uri instead of auth_uri in authtoken
- Set log_facility, log_level in obj expirer
- Update to 12.4.0

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



